/* -*- mode: c++; c-basic-offset: 3; -*- */
#ifndef HTML_TAG_ONLY_HH
#define HTML_TAG_ONLY_HH
#include "html/object.hh"
#include "html/Attrib.hh"

namespace html {
   class writer;
   
   class tag_only : public object {
   public:
      tag_only(const std::string& name);
      virtual ~tag_only(void);
      virtual tag_only* clone(void) const;
      virtual void write(writer& out) const;
      attrib& addAttr(const std::string& attr, const attrib& value);
      attrib& addAttr(const std::string& attr, const std::string& value);
      const attList& attributes(void) const;
      attList& attributes(void);
   private:
      std::string _tag;
      attList     _attrs;
   };

   //===================================  Inline methods.
   inline const attList&
   tag_only::attributes(void) const {
      return _attrs;
   }
   
   inline attList&
   tag_only::attributes(void) {
      return _attrs;
   }

   inline attrib&
   tag_only::addAttr(const std::string& name, const attrib& value) {
	 return _attrs.addAttr(name, value);
   }
}

#endif // !defined(HTML_TAG_ONLY_HH)
